CustomQuery (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom
Interface CustomQuery

All Known Implementing Classes:
  SQLCustomQuery

    public interface CustomQuery

Extension point allowing any SQL query with named and positional parameters to be executed by Hibernate, returning managed entities, collections and simple scalar values.

Method Summary
`List` | `getCustomQueryReturns()` A collection of `descriptors` describing the JDBC result set to be expected and how to map this result set.
`Map` | `getNamedParameterBindPoints()` A map representing positions within the supplied `query` to which we need to bind named parameters.
`Set` | `getQuerySpaces()` Any query spaces to apply to the query execution.
`String` | `getSQL()` The SQL query string to be performed.

Method Detail

### getSQL

    String getSQL()

  The SQL query string to be performed.

  Returns:
    The SQL statement string.

### getQuerySpaces

    Set getQuerySpaces()

  Any query spaces to apply to the query execution. Query spaces are used in Hibernate's auto-flushing mechanism to determine which entities need to be checked for pending changes.

  Returns:
    The query spaces

### getNamedParameterBindPoints

    Map getNamedParameterBindPoints()

  A map representing positions within the supplied `query` to which we need to bind named parameters.

  Optional, may return null if no named parameters.

  The structure of the returned map (if one) as follows:
  1. The keys into the map are the named parameter names
  2. The corresponding value is either an `Integer` if the parameter occurs only once in the query; or a List of Integers if the parameter occurs more than once

### getCustomQueryReturns

    List getCustomQueryReturns()

  A collection of `descriptors` describing the JDBC result set to be expected and how to map this result set.

  Returns:
    List of return descriptors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.